<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getPrice](./bitburner.tix.getprice.md)

## TIX.getPrice() method

Returns the price of a stock

<b>Signature:</b>

```typescript
getPrice(sym: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |

<b>Returns:</b>

number

The price of a stock.

## Remarks

RAM cost: 2 GB The stock’s price is the average of its bid and ask price.

## Example 1


```ts
// NS1
stock.getPrice("FISG");
```

## Example 2


```ts
// NS2
ns.stock.getPrice("FISG");
```

